stages:
  - deploy

variables:
  DEPLOY_HOST: 'fh@itools.de'
  DEPLOY_PATH: '/var/www/html/lost.itools.de'

deploy:
  only:
    - tags
    - main
  stage: deploy
  script:
    ## Install ssh-agent if not already installed, it is required by Docker.
    - 'command -v ssh-agent >/dev/null || ( apt-get update -y && apt-get install openssh-client -y )'
    - eval $(ssh-agent -s)
    - echo "$GITLAB_DEPLOY_SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - echo "$SSH_KNOWN_HOSTS" >> ~/.ssh/known_hosts
    - chmod 644 ~/.ssh/known_hosts
    ## Deploy.
    - ssh fh@itools.de -l fh "sudo rm -f -r -d ${DEPLOY_PATH} && sudo mkdir -p ${DEPLOY_PATH} && sudo chown -R root:www-data ${DEPLOY_PATH} && sudo chmod -R 775 ${DEPLOY_PATH}"
    - scp -r -q ./* ${DEPLOY_HOST}:${DEPLOY_PATH}
    - ssh fh@itools.de -l fh "sudo chown -R root:www-data ${DEPLOY_PATH} && sudo chmod -R 775 ${DEPLOY_PATH}"
    